From 7b42c4e4992b091803a573016e5b4db30ee9244a Mon Sep 17 00:00:00 2001
From: Peter Penchev <openstack-dev@storpool.com>
Date: Thu, 29 Aug 2019 22:39:06 +0300
Subject: [PATCH] Allow for thin provisioning in the allocation test.

On Cinder backends that support thin provisioning, the amount of space
allocated after creating an empty volume may be less than the volume
size.

Change-Id: If90ea675fd28007dc4d67c8254e4cdee4c4e97bc
---
 cinderlib/tests/functional/test_basic.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/cinderlib/tests/functional/test_basic.py b/cinderlib/tests/functional/test_basic.py
index c3879c1..f3ef947 100644
--- a/cinderlib/tests/functional/test_basic.py
+++ b/cinderlib/tests/functional/test_basic.py
@@ -60,7 +60,8 @@ class BackendFunctBasic(base_tests.BaseFunctTestCase):
         new_size = sum(p.get('allocated_capacity_gb',
                              p.get('provisioned_capacity_gb', vol.size))
                        for p in new_pools_info)
-        self.assertEqual(initial_size + vol.size, new_size)
+        if not any(p.get('thin_provisioning_support') for p in new_pools_info):
+            self.assertEqual(initial_size + vol.size, new_size)
 
     def test_create_volume(self):
         vol = self._create_vol(self.backend)
-- 
2.23.0.rc1

